## kde-config-whoopsie 14.04ubuntu2

=== CMakeLists.txt ===
project(kcm-whoopsie)

find_package(Qt4 4.7.0 REQUIRED)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-std=c++0x)
include_directories(${KDE4_INCLUDES} ${QT_INCLUDES})

add_subdirectory(src)

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(kcm_SRCS
    main.cpp
    Module.cpp
)

qt4_add_dbus_interface(kcm_SRCS whoopsie-preferences.xml WhoopsiePreferences)

kde4_add_ui_files(kcm_SRCS Module.ui)
kde4_add_plugin(kcm_whoopsie ${kcm_SRCS})

target_link_libraries(kcm_whoopsie
    ${KDE4_KDEUI_LIBRARY}
)

install(TARGETS kcm_whoopsie DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_whoopsie.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kde-config-whoopsie (14.04ubuntu2) trusty; urgency=low

  * Hide metrics UI. Not implemented in whoopsie yet.
  * Align previous reports link to the left, otherwise it looks silly.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 09 Dec 2013 11:24:21 +0100

kde-config-whoopsie (14.04ubuntu1) trusty; urgency=low

  * Initial release.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 28 Jun 2013 08:44:59 +0200

=== debian/control ===
Source: kde-config-whoopsie
Section: kde
Priority: extra
Maintainer: Harald Sitter <apachelogger@kubuntu.org>
Build-Depends: debhelper (>= 9), pkg-kde-tools (>= 0.15.3ubuntu7), cmake,
 kdelibs5-dev
Standards-Version: 3.9.4
X-Ubuntu-Use-Langpack: yes

Package: kde-config-whoopsie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, whoopsie-preferences, whoopsie
Description: Configuration for Whoopsie
 KConfig module for configuration of Whoopsie, the automatic error reporting
 system from Canonical used in Ubuntu flavours.

=== debian/rules ===
#!/usr/bin/make -f

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

%:
	dh $@ --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DVERSION_STRING_FULL=$(version)

## kde-config-whoopsie 15.04ubuntu2

=== CMakeLists.txt ===
project(kcm-whoopsie)

cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 0.0.14 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 5.0.0 CONFIG REQUIRED DBus)

find_package(KF5Auth 5.0.0)
find_package(KF5ConfigWidgets 5.0.0)
find_package(KF5Service 5.0.0)

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm-whoopsie\")

add_subdirectory(src)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kde-config-whoopsie (15.04ubuntu2) vivid; urgency=medium

  * Set library translation domain so the kcm can load its translations

 -- Harald Sitter <sitter@kde.org>  Thu, 26 Mar 2015 12:38:27 +0100

kde-config-whoopsie (15.04ubuntu1) vivid; urgency=medium

  * Port to KDE Frameworks 5
    + Simplify ui file to accommodate size hinting problems with word wrap
      and remove pointless spacers that could be replaced by layout spacing.
      Sizing policy was adjusted to fix word wrapping. Word wrapped labels now
      size minimum vertically which prevents the entire size hint from being
      0 as now the labels give way vertically to allow horziontal expansion.
      The ui continues to have a minimum width bound to the checkboxes as they
      do not wrap.

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 22 Nov 2014 18:54:38 +0100

=== debian/control ===
Source: kde-config-whoopsie
Section: kde
Priority: extra
Maintainer: Harald Sitter <apachelogger@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5auth-dev,
               libkf5configwidgets-dev,
               libkf5service-dev,
               pkg-kde-tools (>= 0.15.3ubuntu7)
Standards-Version: 3.9.6
X-Ubuntu-Use-Langpack: yes

Package: kde-config-whoopsie
Architecture: any
Depends: whoopsie, whoopsie-preferences, ${misc:Depends}, ${shlibs:Depends}
Description: Configuration for Whoopsie
 KConfig module for configuration of Whoopsie, the automatic error reporting
 system from Canonical used in Ubuntu flavours.

## kde-config-whoopsie 15.10ubuntu2

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/Version.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(kcm_SRCS
    main.cpp
    Module.cpp
)

qt5_add_dbus_interface(kcm_SRCS whoopsie-preferences.xml WhoopsiePreferences)

qt5_wrap_ui(kcm_SRCS Module.ui)
add_library(kcm_whoopsie MODULE ${kcm_SRCS})

target_link_libraries(kcm_whoopsie
    Qt5::DBus
    KF5::Auth
    KF5::ConfigWidgets
    KF5::I18n
    KF5::Service)

install(TARGETS kcm_whoopsie DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_whoopsie.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kde-config-whoopsie (15.10ubuntu2) wily; urgency=medium

  * Fix compile by finding i18n

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Sep 2015 16:59:06 +0100

kde-config-whoopsie (15.10ubuntu1) wily; urgency=medium

  * Translation update release
  * No longer mangle translations as this thing now lives upstream.

 -- Harald Sitter <sitter@kde.org>  Sat, 12 Sep 2015 21:19:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                libkf5service-dev,
                pkg-kde-tools (>= 0.15.3ubuntu7)
 Standards-Version: 3.9.6
-X-Ubuntu-Use-Langpack: yes
 
 Package: kde-config-whoopsie
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

version := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

override_dh_auto_configure:
	$(overridden_command) -- -DVERSION_STRING_FULL=$(version)

## kde-config-whoopsie 15.10ubuntu6

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
 find_package(KF5Auth 5.0.0)
 find_package(KF5ConfigWidgets 5.0.0)
 find_package(KF5Service 5.0.0)
+find_package(KF5I18n 5.0.0)
 
 # KI18N Translation Domain for this library
 add_definitions(-DTRANSLATION_DOMAIN=\"kcm-whoopsie\")

=== debian/changelog ===
kde-config-whoopsie (15.10ubuntu6) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:41:27 +0200

kde-config-whoopsie (15.10ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:00 +0000

kde-config-whoopsie (15.10ubuntu4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:49:10 +0000

kde-config-whoopsie (15.10ubuntu3) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:49:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kde-config-whoopsie
 Section: kde
 Priority: extra
-Maintainer: Harald Sitter <apachelogger@kubuntu.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Harald Sitter <apachelogger@kubuntu.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                extra-cmake-modules,
